Load Balancer
List Load Balancers
get
/loadbalancer/List all Load Balancers with full details (listeners, targets, health checks).
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Responses
Successful Response
application/json
array<LoadBalancerListItemOut>
uuid*string
name*string
label?string | null
status*string
plan_name?string | null
price_per_hour?number
Default
0monthly_charges?number
Default
0location_name?string | null
location_description?string | null
project_id?integer | null
floating_ips?array<LBFloatingIPOut>
Properties (5)
address*string
netmask?string | null
type?string | null
rdns?string | null
protection_type?string | null
listeners?array<LBListenerOut>
Properties (14)
uuid*string
name*string
protocol?string | null
source_port*integer
target_port*integer
algorithm?string | null
sticky_sessions?boolean
Default
falsesticky_cookie_name?string | null
sticky_ttl_seconds?integer | null
ssl_certificate_uuid?string | null
ssl_certificate_name?string | null
enabled?boolean | null
targets?array<LBTargetOut>
Properties (8)
uuid*string
target_type?string | null
target_uuid*string
target_name?string | null
port?integer | null
weight?integer | null
health_status?string | null
enabled?boolean | null
health_check?LBHealthCheckOut | null
Health check configuration of a listener.
Properties (10)
uuid*string
protocol?string | null
path?string | null
port?integer | null
interval_seconds?integer | null
timeout_seconds?integer | null
healthy_threshold?integer | null
unhealthy_threshold?integer | null
expected_codes?string | null
http_method?string | null
network?LBPrivateNetworkOut | null
Private network the Load Balancer is attached to (read-only).
Properties (7)
id*integer
name?string | null
label?string | null
network_label?string | null
ip_range?string | null
prefix?integer | null
assigned_ip?string | null
protected?boolean
Default
false